Google Web Toolkit (Beta)
Search this site:

# Class BadTypeArgsException

public class BadTypeArgsException
extends TypeOracleException
Thrown when an invalid type is specified as part of a `gwt.typeArgs` tag within a doc comment.

## Constructors

BadTypeArgsException(String) |
BadTypeArgsException(String, Throwable) |
BadTypeArgsException(Throwable) |

## Constructor Detail

### BadTypeArgsException

public BadTypeArgsException(String message)

#### Parameters

message

### BadTypeArgsException

public BadTypeArgsException(String message, Throwable cause)

#### Parameters

message
cause

### BadTypeArgsException

public BadTypeArgsException(Throwable cause)

#### Parameters

cause